# Performs an operation on this entity's data
# {0*: ["operation"*, "path args"]}


# --- ARGUMENT HANDLING ---
$data modify storage cobblebuilds:data temp.vars set value $(0)

data modify storage cobblebuilds:data this.args set value {1: ""}
data modify storage cobblebuilds:data this.args.0 set from storage cobblebuilds:data temp.vars[0]
data modify storage cobblebuilds:data this.args.1 set from storage cobblebuilds:data temp.vars[1]

# Error handling
execute unless data storage cobblebuilds:data this.args.0 run return run function cobblebuilds:error/missing_argument {0: "[0: operation]"}


# Set variables
data modify storage cobblebuilds:data temp.vars set value {}
data modify storage cobblebuilds:data temp.vars.UUID set from entity @s UUID
data modify storage cobblebuilds:data temp.vars.operation set from storage cobblebuilds:data this.args.0
data modify storage cobblebuilds:data temp.vars.args set from storage cobblebuilds:data this.args.1

# Do operation
function cobblebuilds:data/operation/macro with storage cobblebuilds:data temp.vars