# {0: {gym*: "gym_id", name: "name"}}
# Creates a new gym marker


# --- ARGUMENT HANDLING ---
$function cobblebuilds:args {args: $(0), default: {gym: ""}}

# Error handling
execute if data storage cobblebuilds:data this.args{gym: ""} run return run function cobblebuilds:error/missing_argument {0: "gym"}


# Execute at center of block
execute align xyz positioned ~0.5 ~0.5 ~0.5 run function cobblebuilds:gym/create/aligned with storage cobblebuilds:data this.args

# Print summary
tellraw @s {"text": "Added new gym", "color": "yellow"}